<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
if (!defined('CPO')) exit;

define('CPOBACKEND', true); 
require_once('../_include/common.inc.php');

if (isset($_SESSION['SID_log_login_id'])
    && $_SESSION['SID_user']['admin'] > ROLE_MEMBER) {
    
    user_activity($_SESSION['SID_log_login_id']);
    return;
}

logaction('403 Forbidden', $_SERVER['PHP_SELF'] . "\n" . gethostbyname($_SERVER['REMOTE_ADDR']));

header('HTTP/1.1 403 Forbidden');
?>
<html>
<head>
    <title>403 Forbidden</title>
</head><body>
    <h1>403 Forbidden</h1>
<p>You are not supposed to be here.</p>
<p>Please log in using the 
<a href="<?php print(BASE_REL.'_admin/index.php'); ?>">admin interface</a>.</p>
</body></html>

<?php exit();