<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can mail you a copy immediately.          |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
|          based on work by Markus Roesel                                |
+------------------------------------------------------------------------+
  $Id: loadfooters.php,v 1.3 2005/02/13 17:37:20 balu Exp $ */
define('CPO', true);
require_once '../_include/common.inc.php';
require_once CPO_BASEDIR . '_include/printnavigation.inc.php';

$directory = basename(dirname($_SERVER['PHP_SELF']));

require CPO_BASEDIR . '_include/var_category.php';
require CPO_BASEDIR . '_include/secure.php';

require_once CPO_BASEDIR . $directory . '/includes/inc_search_function.inc.php';
include_once CPO_BASEDIR . $directory . '/includes/actions.inc.php';

$zusatzurl  = 'q=' . urlencode($_REQUEST['q']) . $zusatzurl .
              '&amp;action=search' .
              '&amp;rubric=' . $_REQUEST['rubric'];
$pagination = string_next_page($_REQUEST['pos'], count($results), $noOfResults, true, $zusatzurl, '', $tl);

$doActions = 'include: ' . urlencode(CPO_BASEDIR . $directory . '/includes/parser.inc.php');
if (!array_key_exists($directory, $activeModules)) {
    $doActions = ___('The search is currently disabled.');
}

// header and footer mechanism
if ($activeModules[$directory]['pagetemplate']==0) {
    include CPO_BASEDIR . $directory . '/loadheaders.php';
    doActions($doActions);
    include CPO_BASEDIR . $directory . '/loadfooters.php';
    exit;
}

// fetch pagetemplate from database and build page
$db = new DB;
$db->query('SELECT pagetemplate FROM ' . CPO_PAGETEMPLATES . ' ' .
           'WHERE id=' . $activeModules[$directory]['pagetemplate']);
$pageTemplate = ___('The configured page-template was deleted, please update the settings for this module.');
if ($db->next_record()) $pageTemplate = $db->v('pagetemplate');


$hdlr_buildpage_articles = $doActions;
require CPO_BASEDIR . '_include/buildpage.inc.php';
