<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
if (!defined('CPO')) exit;

$query = "SELECT article_nr, auth, keywords, commentary, artikel_archiv, rubric_id, templates_id, titel, datum, verfallsdatum, pub_datum, autor, email, initial, idx, freigabe, released_user_id, release_date, last_modify, c_time, changer, sort_id "
        ."FROM ".CPO_NEWS." "
        ."WHERE nr='".$_REQUEST['nr']."' ";

DEBUG(1, $query, __FILE__, __LINE__);
$db = new DB;
$db->query($query);

if ($db->num_rows()<=0) { 
    echo '<span class="nodata"><br /><br />'.$Rubric_nodata.'<br /><br /></span><br />';
    return;
}

$db->next_record();

$archive_article_nr        = $db->v('article_nr');
$archive_auth              = $db->v('auth');
$archive_keywords          = $db->v('keywords');
$archive_commentary        = $db->v('commentary');        
$archive_artikel_archiv    = $db->v('artikel_archiv');    
$archive_rubric_id         = $db->v('rubric_id');         
$archive_templates_id      = $db->v('templates_id');
$archive_titel             = $db->v('titel');             
$archive_datum             = $db->v('datum');             
$archive_verfallsdatum     = $db->v('verfallsdatum');     
$archive_pub_datum         = $db->v('pub_datum');         
$archive_autor             = $db->v('autor');             
$archive_email             = $db->v('email');             
$archive_initial           = $db->v('initial');           
$archive_idx               = $db->v('idx');               
$archive_freigabe          = $db->v('freigabe');          
$archive_released_user_id  = $db->v('released_user_id');     
$archive_release_date      = $db->v('release_date');    
$archive_last_modify       = $db->v('last_modify');       
$archive_c_time            = $db->v('c_time');            
$archive_changer           = $db->v('changer');           
$archive_sort_id           = $db->v('sort_id');           

$archive_artikel_archiv = 5;
if ($cpoSystem['release'] || $restore_archiv) {
    switch ($archive_freigabe) {
    case STATE_RELEASED:
        $archive_artikel_archiv = 1;
        break;
    case STATE_WAITING:                            
    case STATE_BLOCKED:                             
    case STATE_REJECTED:                             
        $archive_artikel_archiv = 5;
        break;
    }
} 

$query = "INSERT INTO ".CPO_NEWS." ("
        ."artikel_archiv, article_nr, auth, keywords, commentary, rubric_id, templates_id, titel, datum, verfallsdatum, pub_datum, autor, email, initial, idx, freigabe, released_user_id, release_date, last_modify, c_time, changer, sort_id ) VALUES ("
        ."'".addslashes($archive_artikel_archiv)."', "
        ."'".addslashes($archive_article_nr)."', "
        ."'".addslashes($archive_auth)."', "
        ."'".addslashes($archive_keywords)."', "
        ."'".addslashes($archive_commentary)."', "
        ."'".addslashes($archive_rubric_id)."', "
        ."'".addslashes($archive_templates_id)."', "
        ."'".addslashes($archive_titel)."', "
        ."'".addslashes($archive_datum)."', "
        ."'".addslashes($archive_verfallsdatum)."', "
        ."'".addslashes($archive_pub_datum)."', "
        ."'".addslashes($archive_autor)."', "
        ."'".addslashes($archive_email)."', "
        ."'".addslashes($archive_initial)."', "
        ."'".addslashes($archive_idx)."', "
        ."'".addslashes($archive_freigabe)."', "
        ."'".addslashes($archive_released_user_id)."', "
        ."'".addslashes($archive_release_date)."', "
        ."'".addslashes($archive_last_modify)."', "
        ."'".addslashes($archive_c_time)."', "
        ."'".addslashes($archive_changer)."', "
        ."'".addslashes($archive_sort_id)."')";
DEBUG(1, $query, __FILE__, __LINE__);
$db2 = new DB;
$db2->query($query); 

// get ID of last inserted newsentry
$query = "SELECT last_insert_id()";
DEBUG(1, $query, __FILE__, __LINE__);
$db2->query($query);
$db2->next_record();
$nnr = $db2->v('last_insert_id()');

$query = "UPDATE ".CPO_CONTENT_FILES." "
        ."SET article_id=".$nnr." "
        ."WHERE article_id=".$_REQUEST['nr'];
DEBUG(1, $query, __FILE__, __LINE__);
$db2->query($query);

$query = "UPDATE ".CPO_CONTENT_HTML." "
        ."SET article_id=".$nnr." "
        ."WHERE article_id=".$_REQUEST['nr'];
DEBUG(1, $query, __FILE__, __LINE__);
$db2->query($query);

$query = "UPDATE ".CPO_CONTENT_IMAGES." "
        ."SET article_id=".$nnr." "
        ."WHERE article_id=".$_REQUEST['nr'];
DEBUG(1, $query, __FILE__, __LINE__);
$db2->query($query);

$query = "UPDATE ".CPO_CONTENT_TEXT." "
        ."SET article_id=".$nnr." "
        ."WHERE article_id=".$_REQUEST['nr'];
DEBUG(1, $query, __FILE__, __LINE__);
$db2->query($query);

$query = "UPDATE ".CPO_CONTENT_URLS." "
        ."SET article_id=".$nnr." "
        ."WHERE article_id=".$_REQUEST['nr'];
DEBUG(1, $query, __FILE__, __LINE__);
$db2->query($query);