<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
if (!defined('CPO')) exit;
?>
<div style="margin-top: 1em; margin-bottom: 2em; font-size: 10px; text-align: center;">
    <?php if (isset($MOD['productlink'])) { ?>
        Module <a href="<?php print(_htmlspecialchars($MOD['productlink'])); ?>" target="_blank"><?php print(_htmlspecialchars($MOD['product'].' '.$MOD['version'])); ?></a> by 
        <a href="<?php print(_htmlspecialchars($MOD['producerlink'])); ?>" target="_blank"><?php print(_htmlspecialchars($MOD['producer'])); ?></a>
        <br />written for 
    <?php }  ?>
    <a href="<?php print(_htmlspecialchars($CPO['productlink'])); ?>" target="_blank"><?php print(_htmlspecialchars(_htmlspecialchars($CPO['productPrefix']) . ' ' . $CPO['product'].' '.$CPO['version'])); ?></a> by 
    <a href="<?php print(_htmlspecialchars($CPO['producerlink'])); ?>" target="_blank"><?php print(_htmlspecialchars($CPO['producer'])); ?></a> - 
    All Rights Reserved
</div>
<?php include(CPO_BASEDIR.'_include/debug.php'); ?>
</body>
</html>
