<?php /* _\|/_              vim: set et ts=4 sw=4 sts=4 nowrap fdm=marker:
         (o o)                         
+-----oOO-{_}-OOo--------------------------------------------------------+
| ConPresso - Foolproof Content Management                               |
+------------------------------------------------------------------------+
| Copyright (c) Bartels Schoene GmbH & Co. KG, 48149 Muenster, Germany   |
+------------------------------------------------------------------------+
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| Authors: ConPresso development and support team <support@conpresso.de> |
+------------------------------------------------------------------------+
  $Id$ */
if (!defined('CPO')) exit;

// Create database tables
$db = new DB;
$sql = file('setup.sql');
foreach ($sql as $line) {
    $query = trim($line);
    $query = preg_replace('/cpo_/', $dbPrefix.'_', $query);
    if (empty($query) || preg_match('/^#.*/', $query)) continue;
    $db->query($query);
}

$query = 'INSERT INTO '.$dbPrefix.'_user VALUES ('
    ."'1', "
    ."'".addslashes($_POST['Admin_login'])."', "
    ."'".addslashes($_POST['Admin_email'])."', "
    ."'".addslashes($_POST['language'])."', "
    ."'4', "
    ."'1', "
    ."'', "
    ."'".md5($_POST['Admin_password'])."', "
    ."'Administrator', "
    ."'adm', "
    ."'2001-11-11 11:11:11', "
    ."'SETUP'"
    .")";
$db->query($query);

$query = 'INSERT INTO '.$dbPrefix.'_navtree VALUES ('
    ."'1', "
    ."'1', "
    ."'2', "
    ."'root', "
    ."'0', "
    ."'' "
    .")";
$db->query($query);

// FIXME noOfRubrics has to be removed, release_email too
$cpoSystem = unserialize('a:25:{s:5:"owner";s:0:"";s:4:"lkey";s:0:"";s:7:"project";s:11:"ConPresso 4";s:7:"release";b:1;s:13:"release_email";b:0;s:12:"system_email";s:10:"postmaster";s:11:"admin_email";s:10:"postmaster";s:7:"timeout";s:5:"10800";s:9:"max_image";s:7:"2097152";s:8:"max_file";s:7:"2097152";s:8:"language";s:7:"english";s:8:"base_url";s:4:"auto";s:7:"targets";s:17:"_self _blank _top";s:7:"send_pw";b:1;s:4:"help";b:1;s:9:"noOfFiles";s:2:"10";s:10:"noOfImages";s:2:"10";s:11:"noOfRubrics";s:2:"10";s:12:"noOfArticles";s:2:"10";s:15:"noOfUploadFiles";s:1:"5";s:8:"homepage";s:16:"_admin/index.php";s:10:"statistics";b:0;s:12:"sessionsInDB";b:1;s:7:"ipcheck";b:0;s:11:"date_format";s:9:"Y-m-d H:i";}');
$cpoSystem['base_url']     = $_POST['base_URL'];
$cpoSystem['admin_email']  = $_POST['Admin_email'];
$cpoSystem['system_email'] = $_POST['cpo_email'];
$cpoSystem['project']      = $_POST['cpo_project'];
$cpoSystem['language']     = $_POST['language'];
$cpoSystem['installed']    = time();
$query = sprintf(
         "REPLACE INTO ".$dbPrefix."_option (type, options, id ) "
        ."VALUES ('system', '%s', '1')",
        addslashes(serialize($cpoSystem))
);
$db->query($query);

$db->query("INSERT INTO ".$dbPrefix."_rubric VALUES (1, '_rubric', 'Home', 0, 0, 'a:4:{s:5:\"title\";s:4:\"Home\";s:18:\"pagetemplate_index\";s:1:\"1\";s:19:\"pagetemplate_detail\";s:1:\"1\";s:17:\"standard_template\";s:1:\"1\";}');");
$db->query("INSERT INTO ".$dbPrefix."_permission VALUES (1, 1, 1, 1, 1, 1, 1);");

$db->query("INSERT INTO ".$dbPrefix."_data VALUES (1, '', '', '".date('Y-m-d H:i:s')."', 'image/gif', 'logo.gif', 2, 1, -1, '".date('Y-m-d H:i:s')."', '".addslashes($_POST['Admin_login'])."')");
$db->query("INSERT INTO ".$dbPrefix."_pagetemplates VALUES (1, 'Standard', 1, '<?xml version=\"1.0\" encoding=\"iso-8859-15\" ?>\r\n<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n<head>\r\n    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-15\" />\r\n    <link rel=\"stylesheet\" type=\"text/css\" href=\"../_cfg/style.css.dist\" />\r\n\r\n    <title><!-- value: rubric; title; --></title>\r\n    <!-- value: rubric; keywords; -->\r\n    <!-- value: rubric; description; -->\r\n</head>\r\n<body>\r\n    <div id=\"pageheader\">\r\n        <h1><!-- value: rubric; title; --></h1>\r\n    </div>\r\n\r\n    <div id=\"pagecontent\">\r\n        <!-- page: articles; -->\r\n    </div>\r\n\r\n    <div id=\"pagefooter\">\r\n        Footer <a href=\"../_admin/index.php?rubric=<!-- value: rubric; name; urlencode; -->\" target=\"_blank\" class=\"backend\">&nbsp;&nbsp;</a>\r\n    </div>\r\n</body>\r\n</html>', '2010-01-03 21:51:33');");


if ($_POST['language']!='deutsch') {
    $db->query("INSERT INTO ".$dbPrefix."_templates VALUES (1, 'Standard', '<h2><!-- VALUE: Title; --></h2>\n<h3><!-- TEXT: Subtitle; --></h3>\n <div><!-- HTML: Teaser; --></div>\n <!-- ifSet: Article-text; --><div class=\"more\"><!-- URL: More-link; --></div><!-- /ifSet -->\n ', '<h2><!-- VALUE: Title; --></h2>\n <h3><!-- TEXT: Subtitle; --></h3>\n <!-- Image: Image; --><!-- ifSet: Image; --><br /><!-- /ifSet -->\n   <div><!-- HTML: Article-text; --></div>\n  <div><!-- URL: Link; --></div>\n   <div class=\"more\"><!-- URL: Back-link; --></div>\n  ', '<h2><!-- VALUE: Title; --></h2>\n <h3><!-- TEXT: Subtitle; --></h3>\n  <div><!-- HTML: Teaser; --></div>\n  <!-- ifSet: Article-text; --><div class=\"more\"><!-- URL: More-link; --></div><!-- /ifSet -->', '".date('Y-m-d H:i:s')."', '".addslashes($_POST['Admin_login'])."')");
    $db->query("INSERT INTO ".$dbPrefix."_templates VALUES (2, 'Placeholder demo', '<h2>Simple texts</h2>\n  <table>\n  <tr>\n  <td>A simple text placeholder without other options</td>\n  <td><!-- TEXT: Simple-text; --></td>\n  </tr>\n  <tr>\n  <td>A simple text placeholder with the option ''strip_tags;'' removes possible html-tags from the text</td>\n  <td><!-- TEXT: Simple-text; strip_tags; --></td>\n  </tr>\n  <tr>\n <td>A simple text placeholder with the option ''nl2br;'' replaces newlines in the text with &lt;br /&gt;-tags</td>\n  <td><!-- TEXT: Simple-text; nl2br; --></td>\n  </tr>\n  </table> \n  \n  <br />\n \n <h2>Images</h2>\n <table>\n <tr>\n <td>An image placeholder without other options</td>\n <td><!-- IMAGE: Image; --></td>\n </tr>\n <tr>\n <td>An image placeholder with the option ''file;'' inserts the filename</td>\n <td><!-- IMAGE: Image; file; --></td>\n </tr>\n   <tr>\n   <td>An image placeholder with the option ''description;'' inserts the description</td>\n   <td><!-- IMAGE: Image; description; --></td>\n   </tr>\n <tr>\n <td>An image placeholder with the option ''alttext;'' inserts the alternate text</td>\n <td><!-- IMAGE: Image; alttext; --></td>\n </tr>\n <tr>\n <td>An image placeholder with the option ''width;'' inserts the width</td>\n <td><!-- IMAGE: Image; width; --></td>\n </tr>\n <tr>\n <td>An image placeholder with the option ''height;'' inserts the height</td>\n <td><!-- IMAGE: Image; height; --></td>\n </tr>\n <tr>\n <td>ifSet / ifNotSet allow to print content if or if not some placeholder is filled with content</td>\n <td><!-- ifNotSet: Image; -->No, no image specified. <!-- /ifNotSet --><!-- ifSet: Image; -->Yes, there was an image chosen.<!-- /ifSet --></td>\n </tr>\n </table> \n \n <br />\n \n <h2>Files</h2>\n <table>\n <tr>\n <td>A file placeholder without other options</td>\n <td><!-- FILE: File; --></td>\n </tr>\n <tr>\n <td>A file placeholder with the option ''file;'' inserts the filename</td>\n <td><!-- FILE: File; file; --></td>\n </tr>\n <tr>\n <td>A file placeholder with the option ''description;'' inserts the description</td>\n <td><!-- FILE: File; description; --></td>\n </tr>\n <tr>\n <td>A file placeholder with the option ''hrsize;'' inserts the size of the file in \"human readable\" format</td>\n <td><!-- FILE: File; hrsize; --></td>\n </tr>\n <tr>\n <td>A file placeholder with the option ''size;'' inserts the size of the file in bytes</td>\n <td><!-- FILE: File; size; --></td>\n </tr>\n  <tr>\n <td>A file placeholder with the option ''starttag;'' only prints the starting &lt;a&gt;-tag so you can print other text as identifier like the description in this case. Do not forget the closing &lt;/a&gt;</td>\n  <td><!-- FILE: File; starttag; --><!-- FILE: File; description; --></a></td>\n  </tr>\n </table> \n \n <br />\n \n <h2>Links</h2>\n <table>\n <tr>\n <td>A URL placeholder without other options</td>\n <td><!-- URL: Link; --></td>\n </tr>\n <tr>\n <td>A URL placeholder with the option ''strip_tags;'' removes possible html-tags from the linktext</td>\n <td><!-- URL: Link; strip_tags; --></td>\n </tr>\n <tr>\n <td>A URL placeholder with the option ''starttag;'' only prints the starting &lt;a&gt;-tag so you can print other link text. Do not forget the closing &lt;/a&gt;</td>\n <td><!-- URL: Link; starttag; -->other linktext</a></td>\n </tr>\n <tr>\n <td>A URL placeholder with the option ''url;'' just prints the link url</td>\n <td><!-- URL: Link; url; --></td>\n </tr>\n <tr>\n <td>A URL placeholder with the option ''text;'' just prints the link text</td>\n <td><!-- URL: Link; text; --></td>\n </tr>\n <tr>\n <td>A URL placeholder with the option ''target;'' just prints the URL target</td>\n <td><!-- URL: Link; target; --></td>\n </tr>\n <tr>\n <td>A special URL placeholder creates a link back to the previous page if set in the placeholder settings</td>\n <td><!-- URL: Back-link; --></td>\n </tr>\n <tr>\n <td>A special URL placeholder creates a link to the detail page if set in the placeholder settings</td>\n <td><!-- URL: More-link; --></td>\n </tr>\n <tr>\n <td><strong>Note: </strong>Some parameters can also be combined - e.g. ''text; strip_tags;'' will print the link text and also remove all HTML tags</td>\n <td><!-- URL: Link; text; strip_tags; --></td>\n </tr>\n </table> \n \n   <br />\n   \n   <h2>HTML texts</h2>\n   <table>\n   <tr>\n   <td>An HTML text placeholder without other options</td>\n   <td><!-- HTML: Html-text; --></td>\n   </tr>\n   <tr>\n   <td>An HTML text placeholder with the option ''strip_tags;'' removes the html-tags from the text</td>\n   <td><!-- HTML: Html-text; strip_tags; --></td>\n   </tr>\n   <tr>\n <td>An HTML text placeholder with the option ''_htmlspecialchars;'' replaces special html characters with their entities</td>\n   <td><!-- HTML: Html-text; _htmlspecialchars; --></td>\n   </tr>\n   </table>\n \n <br />\n \n <h2>special values</h2>\n <table>\n <tr>\n <td>The title of the article</td>\n <td><!-- VALUE: Title; --></td>\n </tr>\n <tr>\n <td>The title of the article with tags stripped</td>\n <td><!-- VALUE: Title; strip_tags; --></td>\n </tr>\n <tr>\n <td>The author of the article</td>\n <td><!-- VALUE: Author; --></td>\n </tr>\n <tr>\n <td>Just the authors name</td>\n <td><!-- VALUE: Author; name; --></td>\n </tr>\n <tr>\n <td>Just the authors e-mail address</td>\n <td><!-- VALUE: Author; email; --></td>\n </tr>\n <tr>\n <td>Just the authors initials</td>\n <td><!-- VALUE: Author; initials; --></td>\n </tr>\n <tr>\n <td>Just the authors e-mail address</td>\n <td><!-- VALUE: Author; email; --></td>\n </tr>\n <tr>\n <td>The publication date</td>\n <td><!-- VALUE: pub_date; --></td>\n </tr>\n <tr>\n <td>The publication date as unix timestamp</td>\n <td><!-- VALUE: pub_date; timestamp; --></td>\n </tr>\n <tr>\n <td>The publication date with special format</td>\n <td><!-- VALUE: pub_date; format=B; --></td>\n </tr>\n <td>The expiration date</td>\n <td><!-- VALUE: exp_date; --></td>\n </tr>\n <tr>\n <td>The expiration date as unix timestamp</td>\n <td><!-- VALUE: exp_date; timestamp; --></td>\n </tr>\n <tr>\n <td>The expiration date with special format</td>\n <td><!-- VALUE: exp_date; format=B; --></td>\n </tr>\n <tr>\n <td>The article id</td>\n <td><!-- VALUE: articlenr --></td>\n </tr>\n <tr>\n <td>The article-template id</td>\n <td><!-- VALUE: template; --></td>\n </tr>\n <tr>\n <td>The article index value</td>\n <td><!-- VALUE: articleidx --></td>\n </tr>\n </table>\n ', '<table>\n  <tr>\n  <td>A special URL placeholder creates a link back to the previous page if set in the placeholder settings</td>\n  <td><!-- URL: Back-link; --></td>\n  </tr>\n </table>\n   ', '<h2>Simple texts</h2>\n   <table>\n   <tr>\n   <td>A simple text placeholder without other options</td>\n   <td><!-- TEXT: Simple-text; --></td>\n   </tr>\n   <tr>\n   <td>A simple text placeholder with the option ''strip_tags;'' removes possible html-tags from the text</td>\n   <td><!-- TEXT: Simple-text; strip_tags; --></td>\n   </tr>\n   <tr>\n <td>A simple text placeholder with the option ''nl2br;'' replaces newlines in the text with &lt;br /&gt;-tags</td>\n   <td><!-- TEXT: Simple-text; nl2br; --></td>\n   </tr>\n   </table> \n   \n   <br />\n  \n  <h2>Images</h2>\n  <table>\n  <tr>\n  <td>An image placeholder without other options</td>\n  <td><!-- IMAGE: Image; --></td>\n  </tr>\n  <tr>\n  <td>An image placeholder with the option ''file;'' inserts only the filename</td>\n  <td><!-- IMAGE: Image; file; --></td>\n  </tr>\n    <tr>\n    <td>An image placeholder with the option ''description;'' inserts only the description</td>\n    <td><!-- IMAGE: Image; description; --></td>\n    </tr>\n  <tr>\n  <td>An image placeholder with the option ''alttext;'' inserts only the alternate text</td>\n  <td><!-- IMAGE: Image; alttext; --></td>\n  </tr>\n  <tr>\n  <td>An image placeholder with the option ''width;'' inserts only the width</td>\n  <td><!-- IMAGE: Image; width; --></td>\n  </tr>\n  <tr>\n  <td>An image placeholder with the option ''height;'' inserts only the height</td>\n  <td><!-- IMAGE: Image; height; --></td>\n  </tr>\n  <tr>\n  <td>ifSet / ifNotSet allow to print content if or if not some placeholder is filled with content</td>\n  <td><!-- ifNotSet: Image; -->Sorry, no image specified. <!-- /ifNotSet --><!-- ifSet: Image; -->Yes, there was an image chosen.<!-- /ifSet --></td>\n  </tr>\n  </table> \n  \n  <br />\n  \n  <h2>Files</h2>\n  <table>\n  <tr>\n  <td>A file placeholder without other options</td>\n  <td><!-- FILE: File; --></td>\n  </tr>\n  <tr>\n  <td>A file placeholder with the option ''file;'' inserts only the filename</td>\n  <td><!-- FILE: File; file; --></td>\n  </tr>\n  <tr>\n  <td>A file placeholder with the option ''description;'' inserts only the description</td>\n  <td><!-- FILE: File; description; --></td>\n  </tr>\n  <tr>\n  <td>A file placeholder with the option ''hrsize;'' inserts the size of the file in \"human readable\" format</td>\n  <td><!-- FILE: File; hrsize; --></td>\n  </tr>\n  <tr>\n  <td>A file placeholder with the option ''size;'' inserts the size of the file in bytes</td>\n  <td><!-- FILE: File; size; --></td>\n  </tr>\n   <tr>\n <td>A file placeholder with the option ''file;'' creates a link and the option ''description'' inserts the description as identifier</td>\n  <td><a href=\"../_data/<!-- FILE: File; file; -->\"><!-- FILE: File; description; --></a></td>\n   </tr>\n   <tr>\n <td>A file placeholder with the option ''starttag;'' only prints the starting &lt;a&gt;-tag so you can print other text as identifier like the description in this case. Do not forget the closing &lt;/a&gt;</td>\n   <td><!-- FILE: File; starttag; --><!-- FILE: File; description; --></a></td>\n   </tr>\n  </table> \n  \n  <br />\n  \n  <h2>Links</h2>\n  <table>\n  <tr>\n  <td>A URL placeholder without other options</td>\n  <td><!-- URL: Link; --></td>\n  </tr>\n  <tr>\n  <td>A URL placeholder with the option ''strip_tags;'' removes possible html-tags from the linktext</td>\n  <td><!-- URL: Link; strip_tags; --></td>\n  </tr>\n  <tr>\n <td>A URL placeholder with the option ''starttag;'' only prints the starting &lt;a&gt;-tag so you can print other link text. Do not forget the closing &lt;/a&gt;</td>\n  <td><!-- URL: Link; starttag; -->other linktext</a></td>\n  </tr>\n  <tr>\n  <td>A URL placeholder with the option ''url;'' just prints the link url</td>\n  <td><!-- URL: Link; url; --></td>\n  </tr>\n  <tr>\n  <td>A URL placeholder with the option ''text;'' just prints the link text</td>\n  <td><!-- URL: Link; text; --></td>\n  </tr>\n  <tr>\n  <td>A URL placeholder with the option ''target;'' just prints the URL target</td>\n  <td><!-- URL: Link; target; --></td>\n  </tr>\n  <tr>\n  <td>A special URL placeholder creates a link back to the previous page if set in the placeholder settings</td>\n  <td><!-- URL: Back-link; --></td>\n  </tr>\n  <tr>\n  <td>A special URL placeholder creates a link to the detail page if set in the placeholder settings</td>\n  <td><!-- URL: More-link; --></td>\n  </tr>\n  <tr>\n <td><strong>Note: </strong>Some parameters can also be combined - e.g. ''TEXT; strip_tags;'' will just print the link text and also remove all HTML tags</td>\n  <td><!-- URL: Link; text; strip_tags; --></td>\n  </tr>\n  </table> \n  \n    <br />\n    \n    <h2>HTML texts</h2>\n    <table>\n    <tr>\n    <td>An HTML text placeholder without other options</td>\n    <td><!-- HTML: Html-text; --></td>\n    </tr>\n    <tr>\n    <td>An HTML text placeholder with the option ''strip_tags;'' removes the html-tags from the text</td>\n    <td><!-- HTML: Html-text; strip_tags; --></td>\n    </tr>\n    <tr>\n <td>An HTML text placeholder with the option ''_htmlspecialchars;'' replaces special html characters with their entities</td>\n    <td><!-- HTML: Html-text; _htmlspecialchars; --></td>\n    </tr>\n    </table>\n  \n  <br />\n  \n  <h2>special values</h2>\n  <table>\n  <tr>\n  <td>The title of the article</td>\n  <td><!-- VALUE: Title; --></td>\n  </tr>\n  <tr>\n  <td>The title of the article with tags stripped</td>\n  <td><!-- VALUE: Title; strip_tags; --></td>\n  </tr>\n  <tr>\n  <td>The author of the article</td>\n  <td><!-- VALUE: Author; --></td>\n  </tr>\n  <tr>\n  <td>Just the authors name</td>\n  <td><!-- VALUE: Author; name; --></td>\n  </tr>\n  <tr>\n  <td>Just the authors e-mail address</td>\n  <td><!-- VALUE: Author; email; --></td>\n  </tr>\n  <tr>\n  <td>Just the authors initials</td>\n  <td><!-- VALUE: Author; initials; --></td>\n  </tr>\n  <tr>\n  <td>Just the authors e-mail address</td>\n  <td><!-- VALUE: Author; email; --></td>\n  </tr>\n  <tr>\n  <td>The publication date</td>\n  <td><!-- VALUE: pub_date; --></td>\n  </tr>\n  <tr>\n  <td>The publication date as unix timestamp</td>\n  <td><!-- VALUE: pub_date; timestamp; --></td>\n  </tr>\n  <tr>\n  <td>The publication date with special format</td>\n  <td><!-- VALUE: pub_date; format=B; --></td>\n  </tr>\n  <td>The expiration date</td>\n  <td><!-- VALUE: exp_date; --></td>\n  </tr>\n  <tr>\n  <td>The expiration date as unix timestamp</td>\n  <td><!-- VALUE: exp_date; timestamp; --></td>\n  </tr>\n  <tr>\n  <td>The expiration date with special format</td>\n  <td><!-- VALUE: exp_date; format=B; --></td>\n  </tr>\n  <tr>\n  <td>The article id</td>\n  <td><!-- VALUE: articlenr --></td>\n  </tr>\n  <tr>\n  <td>The article-template id</td>\n  <td><!-- VALUE: template; --></td>\n  </tr>\n  <tr>\n  <td>The article index value</td>\n  <td><!-- VALUE: articleidx --></td>\n  </tr>\n  </table>\n   ', '".date('Y-m-d H:i:s')."', '".addslashes($_POST['Admin_login'])."')");

    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (1, 1, 2, 0x41727469636c652d74657874, 5, 'a:1:{s:5:\"label\";s:77:\"Please enter an article- text here using the edit button to start the editor.\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (2, 1, 2, 0x546561736572, 2, 'a:1:{s:5:\"label\";s:69:\"Please enter a teaser here using the edit button to start the editor.\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (3, 1, 3, 0x496d616765, 4, 'a:1:{s:5:\"label\";s:28:\"Please choose an image here.\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (4, 1, 4, 0x5375627469746c65, 1, 'a:2:{s:5:\"label\";s:29:\"Please enter a subtitle here.\";s:5:\"short\";s:1:\"1\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (5, 1, 5, 0x4261636b2d6c696e6b, 7, 'a:2:{s:5:\"label\";s:63:\"Please enter a link-text for the link back to  index page here.\";s:8:\"linktype\";s:1:\"2\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (6, 1, 5, 0x4c696e6b, 6, 'a:2:{s:5:\"label\";s:25:\"Please enter a link here.\";s:8:\"linktype\";s:1:\"0\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (7, 1, 5, 0x4d6f72652d6c696e6b, 3, 'a:2:{s:5:\"label\";s:66:\"Please enter a link-text for the link to article detail page here.\";s:8:\"linktype\";s:1:\"1\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (23, 2, 1, 0x46696c65, 3, 'a:1:{s:5:\"label\";s:26:\"Please choose a file here.\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (24, 2, 2, 0x48746d6c2d74657874, 6, 'a:1:{s:5:\"label\";s:81:\"Please enter a HTML formated text here using the ''edit''-link to start the editor.\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (25, 2, 3, 0x496d616765, 2, 'a:1:{s:5:\"label\";s:28:\"Please choose an image here.\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (26, 2, 4, 0x53696d706c652d74657874, 1, 'a:1:{s:5:\"label\";s:32:\"Please enter a simple text here.\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (27, 2, 5, 0x4261636b2d6c696e6b, 7, 'a:3:{s:5:\"label\";s:49:\"Please enter a link-text  for the back-link here.\";s:7:\"noquery\";s:1:\"1\";s:8:\"linktype\";s:1:\"2\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (28, 2, 5, 0x4c696e6b, 4, 'a:2:{s:5:\"label\";s:25:\"Please enter a link here.\";s:8:\"linktype\";s:1:\"0\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (29, 2, 5, 0x4d6f72652d6c696e6b, 5, 'a:2:{s:5:\"label\";s:66:\"Please enter a link-text for the link to article detail page here.\";s:8:\"linktype\";s:1:\"1\";}');");

    $db->query("INSERT INTO ".$dbPrefix."_news VALUES (1, 0, 1, '', '', '', 1, 1, 'Welcome to ".addslashes($CPO['product'])."!'    , '".date('Y-m-d H:i:s')."', '2036-01-01 00:00:00', '".date('Y-m-d H:i:s')."', 'Administrator', '".addslashes($_POST['Admin_email'])."', 'adm', 'zzzzzzzz', 0, 1, '".date('Y-m-d H:i:s')."', '".date('Y-m-d H:i:s')."', '".date('Y-m-d H:i:s')."', '".addslashes($_POST['Admin_login'])."', 1);");
    $db->query("INSERT INTO ".$dbPrefix."_content_html VALUES (1, 1, 0x546561736572, '<p>".addslashes($CPO['product'])." is the best way to update and extend your internet, intranet or extranet project. </p> <p>".addslashes($CPO['product'])." means:</p> <ul> <li>well priced content management<br>  </li> <li>easy installation<br>  </li> <li>intuitive use<br>  </li> <li>fast customization<br> </li></ul> <p>".addslashes($CPO['product'])." is the optimal tool for:<br>  </p> <ul> <li>professional corporate websites &amp; intranets<br>  </li> <li>online magazines &amp; portals </li> <li>websites of organizations and communities </li> <li>personal homepages<br> </li></ul> <p>You can get support, product information and extension modules on the internet at&nbsp; <a title=\"".addslashes($CPO['product'])." Website\" target=\"_blank\" href=\"".addslashes($CPO['productlink'])."/\">".addslashes($CPO['productlink'])."</a>.</p> <p style=\"font-weight: bold;\">".addslashes($CPO['product'])." - foolproof content management.</p>\r\n');");
    $db->query("INSERT INTO ".$dbPrefix."_content_text VALUES (1, 1, 0x5375627469746c65, '".addslashes($CPO['product'])." is the powerful and easy to use content management solution.');");

} else {
    $db->query("INSERT INTO ".$dbPrefix."_news VALUES (1, 0, 1, '', '', '', 1, 1, 'Willkommen bei ".addslashes($CPO['product'])."!', '".date('Y-m-d H:i:s')."', '2036-01-01 00:00:00', '".date('Y-m-d H:i:s')."', 'Administrator', '".addslashes($_POST['Admin_email'])."', 'adm', 'zzzzzzzz', 0, 1, '".date('Y-m-d H:i:s')."', '".date('Y-m-d H:i:s')."', '".date('Y-m-d H:i:s')."', '".addslashes($_POST['Admin_login'])."', 1);");
    $db->query("INSERT INTO ".$dbPrefix."_content_html VALUES (1, 1, 0x546561736572, '<p>".addslashes($CPO['product'])." ist der beste Weg, Ihr Internet-, Intranet- oder\r\nExtranet-Projekt schnell und flexibel zu pflegen, zu aktualisieren und\r\nzu erweitern. </p> <p>".addslashes($CPO['product']).", das heit:</p> <ul> <li>kostengnstiges Content Management </li> <li>einfache Installation </li> <li>intuitive Bedienung </li> <li>schnelle Systemanpassung</li></ul> <p>".addslashes($CPO['product'])." ist das optimale Werkzeug fr: </p> <ul> <li>professionelle Unternehmenswebsites &amp; Intranets<br>  </li> <li>Online Magazine &amp; Informationsportale </li> <li>Websites von Organisationen und Vereinen </li> <li>private Homepages</li></ul> <p>Support, Produktinformationen und Erweiterungsmodule fr ".addslashes($CPO['product'])." finden Sie im Internet unter <a title=\"".addslashes($CPO['product'])." Website\" target=\"_blank\" href=\"".addslashes($CPO['productlink'])."/\">".addslashes($CPO['productlink'])."</a>.</p> <p style=\"font-weight: bold;\">".addslashes($CPO['product'])." - Content kinderleicht managen.</p>\r\n');");
    $db->query("INSERT INTO ".$dbPrefix."_content_text VALUES (1, 1, 0x556e746572746974656c, '".addslashes($CPO['product'])." ist die leistungsfhige und leicht zu bedienende Content Management Lsung.');");

    $db->query("INSERT INTO ".$dbPrefix."_templates VALUES (1, 'Standard', '<h2><!-- VALUE: Title; --></h2>\n<h3><!-- TEXT: Untertitel; --></h3>\n <div><!-- HTML: Teaser; --></div>\n <!-- ifSet: Artikel-Text; --><div class=\"more\"><!-- URL: Weiter-Link; --></div><!-- /ifSet -->\n ', '<h2><!-- VALUE: Title; --></h2>\n <h3><!-- TEXT: Untertitel; --></h3>\n <!-- IMAGE: Bild; --><!-- ifSet: Bild; --><br /><!-- /ifSet -->\n   <div><!-- HTML: Artikel-Text; --></div>\n  <div><!-- URL: Link; --></div>\n   <div class=\"more\"><!-- URL: Zurck-Link; --></div>\n ', '<h2><!-- VALUE: Title; --></h2>\n <h3><!-- TEXT: Untertitel; --></h3>\n  <div><!-- HTML: Teaser; --></div>\n  <!-- ifSet: Artikel-Text; --><div class=\"more\"><!-- URL: Weiter-Link; --></div><!-- /ifSet -->  ', '".date('Y-m-d H:i:s')."', '".addslashes($_POST['Admin_login'])."')");
    $db->query("INSERT INTO ".$dbPrefix."_templates VALUES (2, 'Platzhalter Demo', '<h2>Einfache Texte</h2>\n  <table>\n  <tr>\n  <td>Ein einfacher Text-Platzhalter ohne Optionen</td>\n  <td><!-- TEXT: Einfacher-Text; --></td>\n  </tr>\n  <tr>\n  <td>Ein einfacher Text-Platzhalter mit der Option ''strip_tags;'' entfernt mgliche HTML-Tags aus dem Text</td>\n  <td><!-- TEXT: Einfacher-Text; strip_tags; --></td>\n  </tr>\n  <tr>\n <td>Ein einfacher Text-Platzhalter mit der Option ''nl2br;'' ersetzt Umbrche im Text mit &lt;br /&gt;-Tags</td>\n  <td><!-- TEXT: Einfacher-Text; nl2br; --></td>\n  </tr>\n  </table> \n  \n  <br />\n \n <h2>Bilder</h2>\n <table>\n <tr>\n <td>Ein Bild-Platzhalter ohne Optionen</td>\n <td><!-- IMAGE: Bild; --></td>\n </tr>\n <tr>\n <td>Ein Bild-Platzhalter mit der Option ''file;'' fgt den Dateinamen ein</td>\n <td><!-- IMAGE: Bild; file; --></td>\n </tr>\n   <tr>\n   <td>Ein Bild-Platzhalter mit der Option ''description;'' fgt die Beschreibung ein</td>\n   <td><!-- IMAGE: Bild; description; --></td>\n   </tr>\n <tr>\n <td>Ein Bild-Platzhalter mit der Option ''alttext;'' fgt den Alternativtext ein</td>\n <td><!-- IMAGE: Bild; alttext; --></td>\n </tr>\n <tr>\n <td>Ein Bild-Platzhalter mit der Option ''width;'' fgt die Breite ein</td>\n <td><!-- IMAGE: Bild; width; --></td>\n </tr>\n <tr>\n <td>Ein Bild-Platzhalter mit der Option ''height;'' fgt die Hhe ein</td>\n <td><!-- IMAGE: Bild; height; --></td>\n </tr>\n <tr>\n <td>ifSet / ifNotSet erlaubt es, Inhalte in Abhngigkeit von der Belegung eines Platzhalters mit einem Wert auszugeben</td>\n <td><!-- ifNotSet: Bild; -->Nein, es wurde kein Bild ausgewhlt. <!-- /ifNotSet --><!-- ifSet: Bild; -->Ja, es wurde ein Bild ausgewhlt.<!-- /ifSet --></td>\n </tr>\n </table> \n \n <br />\n \n <h2>Dateien</h2>\n <table>\n <tr>\n <td>Ein Datei-Platzhalter ohne Optionen</td>\n <td><!-- FILE: Datei; --></td>\n </tr>\n <tr>\n <td>Ein Datei-Platzhalter mit der Option ''file;'' fgt den Dateinamen ein</td>\n <td><!-- FILE: Datei; file; --></td>\n </tr>\n <tr>\n <td>Ein Datei-Platzhalter mit der Option ''description;'' fgt die Beschreibung ein</td>\n <td><!-- FILE: Datei; description; --></td>\n </tr>\n <tr>\n <td>Ein Datei-Platzhalter mit der Option ''hrsize;'' fgt die die Gre der Datei im \"human readable\" Format ein</td>\n <td><!-- FILE: Datei; hrsize; --></td>\n </tr>\n <tr>\n <td>Ein Datei-Platzhalter mit der Option ''size;'' fgt die Gre der Datei in Bytes ein</td>\n <td><!-- FILE: Datei; size; --></td>\n </tr>\n  <tr>\n <td>Ein Datei-Platzhalter mit der Option ''starttag;'' erzeugt den Start-&lt;a&gt;-tag. Die Option ''description'' fgt die Beschreibung als Verweistext ein. Vergessen Sie nicht das schlieende &lt;/a&gt;</td>\n  <td><!-- FILE: Datei; starttag; --><!-- FILE: Datei; description; --></a></td>\n  </tr>\n </table> \n \n <br />\n \n <h2>Links</h2>\n <table>\n <tr>\n <td>A URL-Platzhalter ohne Optionen</td>\n <td><!-- URL: Link; --></td>\n </tr>\n <tr>\n <td>A URL-Platzhalter mit der Option ''strip_tags;'' entfernt mgliche HTML-Tags naus dem Verweistext</td>\n <td><!-- URL: Link; strip_tags; --></td>\n </tr>\n <tr>\n <td>A URL-Platzhalter mit der Option ''starttag;'' fgt nur den Start-&lt;a&gt;-Tag ein. Auf diese Weise knnen Sie einen anderen Linktext ausgeben. Vergessen Sie nicht das schlieende &lt;/a&gt;</td>\n <td><!-- URL: Link; starttag; -->Anderer Verweistext</a></td>\n </tr>\n <tr>\n <td>A URL-Platzhalter mit der Option ''url;'' gibt die URL aus</td>\n <td><!-- URL: Link; url; --></td>\n </tr>\n <tr>\n <td>A URL-Platzhalter mit der Option ''text;'' gibt den Verweistext aus</td>\n <td><!-- URL: Link; text; --></td>\n </tr>\n <tr>\n <td>A URL-Platzhalter mit der Option ''target;'' gibt das URL-Target aus</td>\n <td><!-- URL: Link; target; --></td>\n </tr>\n <tr>\n <td>Eine besondere Form des URL-Platzhalters erzeugt einen Link zur vorherigen Seite, wenn Sie dies in den Platzhalter-Einstellungen definieren</td>\n <td><!-- URL: Zurck-Link; --></td>\n </tr>\n <tr>\n <td>A special URL placeholder creates a link to the detail page if set in the placeholder settings</td>\n <td><!-- URL: Weiter-Link; --></td>\n </tr>\n <tr>\n <td><strong>Hinweis: </strong>Einige Platzhalter knnen auch kombiniert werden - z.B. ''text; strip_tags;'' gibt nur den Verweistext aus und entfernt mgliche HTML-Tags</td>\n <td><!-- URL: Link; text; strip_tags; --></td>\n </tr>\n </table> \n \n   <br />\n   \n   <h2>HTML-Texte</h2>\n   <table>\n   <tr>\n   <td>Ein HTML-Platzhalter ohne Optionen</td>\n   <td><!-- HTML: HTML-Text; --></td>\n   </tr>\n   <tr>\n   <td>Ein HTML-Platzhalter mit der Option ''strip_tags;'' entfernt alle HTML-Tags aus dem Text</td>\n   <td><!-- HTML: HTML-Text; strip_tags; --></td>\n   </tr>\n   <tr>\n <td>Ein HTML-Platzhalter mit der Option ''_htmlspecialchars;'' ersetzt alle speziellen HTML-Zeichen mit ihren ''entities''</td>\n   <td><!-- HTML: HTML-Text; _htmlspecialchars; --></td>\n   </tr>\n   </table>\n \n <br />\n \n <h2>Spezielle Platzhalter</h2>\n <table>\n <tr>\n <td>Der Titel eines Artikels</td>\n <td><!-- VALUE: Title; --></td>\n </tr>\n <tr>\n <td>Der Titel eines Artikels mmit entfernten HTML-Tags</td>\n <td><!-- VALUE: Title; strip_tags; --></td>\n </tr>\n <tr>\n <td>Der Autor eines Artikels</td>\n <td><!-- VALUE: Author; --></td>\n </tr>\n <tr>\n <td>Nur der Name des Autors</td>\n <td><!-- VALUE: Author; name; --></td>\n </tr>\n<tr>\n <td>Nur die Initialien des Autors</td>\n <td><!-- VALUE: Author; initials; --></td>\n </tr>\n <tr>\n  <td>Nur die E-Mailadresse des Autors</td>\n  <td><!-- VALUE: Author; email; --></td>\n  </tr>\n <tr>\n <td>Das Publikationsdatum</td>\n <td><!-- VALUE: pub_date; --></td>\n </tr>\n <tr>\n <td>Das Publikationsdatum als Unix-Timestamp</td>\n <td><!-- VALUE: pub_date; timestamp; --></td>\n </tr>\n <tr>\n <td>Das Publikationsdatum im Spezialformat</td>\n <td><!-- VALUE: pub_date; format=B; --></td>\n </tr>\n <td>Das Verfallsdatum</td>\n <td><!-- VALUE: exp_date; --></td>\n </tr>\n <tr>\n <td>Das Verfallsdatum als Unix-Timestamp</td>\n <td><!-- VALUE: exp_date; timestamp; --></td>\n </tr>\n <tr>\n <td>Das Verfallsdatum im Spezialformat</td>\n <td><!-- VALUE: exp_date; format=B; --></td>\n </tr>\n <tr>\n <td>Die Artikel-ID</td>\n <td><!-- VALUE: articlenr --></td>\n </tr>\n <tr>\n <td>Die Artikeltemplate-ID</td>\n <td><!-- VALUE: template; --></td>\n </tr>\n <tr>\n <td>Der Artikel-Index</td>\n <td><!-- VALUE: articleidx --></td>\n </tr>\n </table>\n ', '<table>\n <tr>\n <td>Eine besondere Form des URL-Platzhalters erzeugt einen Link zur vorherigen Seite, wenn Sie dies in den Platzhalter-Einstellungen definieren</td>\n  <td><!-- URL: Zurck-Link; --></td>\n  </tr>\n </table>\n    ', '<h2>Einfache Texte</h2>\n   <table>\n   <tr>\n   <td>Ein einfacher Text-Platzhalter ohne Optionen</td>\n   <td><!-- TEXT: Einfacher-Text; --></td>\n   </tr>\n   <tr>\n   <td>Ein einfacher Text-Platzhalter mit der Option ''strip_tags;'' entfernt mgliche HTML-Tags aus dem Text</td>\n   <td><!-- TEXT: Einfacher-Text; strip_tags; --></td>\n   </tr>\n   <tr>\n  <td>Ein einfacher Text-Platzhalter mit der Option ''nl2br;'' ersetzt Umbrche im Text mit &lt;br /&gt;-Tags</td>\n   <td><!-- TEXT: Einfacher-Text; nl2br; --></td>\n   </tr>\n   </table> \n   \n   <br />\n  \n  <h2>Bilder</h2>\n  <table>\n  <tr>\n  <td>Ein Bild-Platzhalter ohne Optionen</td>\n  <td><!-- IMAGE: Bild; --></td>\n  </tr>\n  <tr>\n  <td>Ein Bild-Platzhalter mit der Option ''file;'' fgt den Dateinamen ein</td>\n  <td><!-- IMAGE: Bild; file; --></td>\n  </tr>\n    <tr>\n    <td>Ein Bild-Platzhalter mit der Option ''description;'' fgt die Beschreibung ein</td>\n    <td><!-- IMAGE: Bild; description; --></td>\n    </tr>\n  <tr>\n  <td>Ein Bild-Platzhalter mit der Option ''alttext;'' fgt den Alternativtext ein</td>\n  <td><!-- IMAGE: Bild; alttext; --></td>\n  </tr>\n  <tr>\n  <td>Ein Bild-Platzhalter mit der Option ''width;'' fgt die Breite ein</td>\n  <td><!-- IMAGE: Bild; width; --></td>\n  </tr>\n  <tr>\n  <td>Ein Bild-Platzhalter mit der Option ''height;'' fgt die Hhe ein</td>\n  <td><!-- IMAGE: Bild; height; --></td>\n  </tr>\n  <tr>\n  <td>ifSet / ifNotSet erlaubt es, Inhalte in Abhngigkeit von der Belegung eines Platzhalters mit einem Wert auszugeben</td>\n  <td><!-- ifNotSet: Bild; -->Nein, es wurde kein Bild ausgewhlt. <!-- /ifNotSet --><!-- ifSet: Bild; -->Ja, es wurde ein Bild ausgewhlt.<!-- /ifSet --></td>\n  </tr>\n  </table> \n  \n  <br />\n  \n  <h2>Dateien</h2>\n  <table>\n  <tr>\n  <td>Ein Datei-Platzhalter ohne Optionen</td>\n  <td><!-- FILE: Datei; --></td>\n  </tr>\n  <tr>\n  <td>Ein Datei-Platzhalter mit der Option ''file;'' fgt den Dateinamen ein</td>\n  <td><!-- FILE: Datei; file; --></td>\n  </tr>\n  <tr>\n  <td>Ein Datei-Platzhalter mit der Option ''description;'' fgt die Beschreibung ein</td>\n  <td><!-- FILE: Datei; description; --></td>\n  </tr>\n  <tr>\n  <td>Ein Datei-Platzhalter mit der Option ''hrsize;'' fgt die die Gre der Datei im \"human readable\" Format ein</td>\n  <td><!-- FILE: Datei; hrsize; --></td>\n  </tr>\n  <tr>\n  <td>Ein Datei-Platzhalter mit der Option ''size;'' fgt die Gre der Datei in Bytes ein</td>\n  <td><!-- FILE: Datei; size; --></td>\n  </tr>\n   <tr>\n  <td>Ein Datei-Platzhalter mit der Option ''starttag;'' erzeugt den Start-&lt;a&gt;-tag. Die Option ''description'' fgt die Beschreibung als Verweistext ein. Vergessen Sie nicht das schlieende &lt;/a&gt;</td>\n   <td><!-- FILE: Datei; starttag; --><!-- FILE: Datei; description; --></a></td>\n   </tr>\n  </table> \n  \n  <br />\n  \n  <h2>Links</h2>\n  <table>\n  <tr>\n  <td>A URL-Platzhalter ohne Optionen</td>\n  <td><!-- URL: Link; --></td>\n  </tr>\n  <tr>\n  <td>A URL-Platzhalter mit der Option ''strip_tags;'' entfernt mgliche HTML-Tags naus dem Verweistext</td>\n  <td><!-- URL: Link; strip_tags; --></td>\n  </tr>\n  <tr>\n  <td>A URL-Platzhalter mit der Option ''starttag;'' fgt nur den Start-&lt;a&gt;-Tag ein. Auf diese Weise knnen Sie einen anderen Linktext ausgeben. Vergessen Sie nicht das schlieende &lt;/a&gt;</td>\n  <td><!-- URL: Link; starttag; -->Anderer Verweistext</a></td>\n  </tr>\n  <tr>\n  <td>A URL-Platzhalter mit der Option ''url;'' gibt die URL aus</td>\n  <td><!-- URL: Link; url; --></td>\n  </tr>\n  <tr>\n  <td>A URL-Platzhalter mit der Option ''text;'' gibt den Verweistext aus</td>\n  <td><!-- URL: Link; text; --></td>\n  </tr>\n  <tr>\n  <td>A URL-Platzhalter mit der Option ''target;'' gibt das URL-Target aus</td>\n  <td><!-- URL: Link; target; --></td>\n  </tr>\n  <tr>\n  <td>Eine besondere Form des URL-Platzhalters erzeugt einen Link zur vorherigen Seite, wenn Sie dies in den Platzhalter-Einstellungen definieren</td>\n  <td><!-- URL: Zurck-Link; --></td>\n  </tr>\n  <tr>\n  <td>A special URL placeholder creates a link to the detail page if set in the placeholder settings</td>\n  <td><!-- URL: Weiter-Link; --></td>\n  </tr>\n  <tr>\n  <td><strong>Hinweis: </strong>Einige Platzhalter knnen auch kombiniert werden - z.B. ''text; strip_tags;'' gibt nur den Verweistext aus und entfernt mgliche HTML-Tags</td>\n  <td><!-- URL: Link; text; strip_tags; --></td>\n  </tr>\n  </table> \n  \n    <br />\n    \n    <h2>HTML-Texte</h2>\n    <table>\n    <tr>\n    <td>Ein HTML-Platzhalter ohne Optionen</td>\n    <td><!-- HTML: HTML-Text; --></td>\n    </tr>\n    <tr>\n    <td>Ein HTML-Platzhalter mit der Option ''strip_tags;'' entfernt alle HTML-Tags aus dem Text</td>\n    <td><!-- HTML: HTML-Text; strip_tags; --></td>\n    </tr>\n    <tr>\n  <td>Ein HTML-Platzhalter mit der Option ''_htmlspecialchars;'' ersetzt alle speziellen HTML-Zeichen mit ihren ''entities''</td>\n    <td><!-- HTML: HTML-Text; _htmlspecialchars; --></td>\n    </tr>\n    </table>\n  \n  <br />\n  \n  <h2>Spezielle Platzhalter</h2>\n  <table>\n  <tr>\n  <td>Der Titel eines Artikels</td>\n  <td><!-- VALUE: Title; --></td>\n  </tr>\n  <tr>\n  <td>Der Titel eines Artikels mmit entfernten HTML-Tags</td>\n  <td><!-- VALUE: Title; strip_tags; --></td>\n  </tr>\n  <tr>\n  <td>Der Autor eines Artikels</td>\n  <td><!-- VALUE: Author; --></td>\n  </tr>\n  <tr>\n  <td>Nur der Name des Autors</td>\n  <td><!-- VALUE: Author; name; --></td>\n  </tr>\n <tr>\n  <td>Nur die Initialien des Autors</td>\n  <td><!-- VALUE: Author; initials; --></td>\n  </tr>\n  <tr>\n   <td>Nur die E-Mailadresse des Autors</td>\n   <td><!-- VALUE: Author; email; --></td>\n   </tr>\n  <tr>\n  <td>Das Publikationsdatum</td>\n  <td><!-- VALUE: pub_date; --></td>\n  </tr>\n  <tr>\n  <td>Das Publikationsdatum als Unix-Timestamp</td>\n  <td><!-- VALUE: pub_date; timestamp; --></td>\n  </tr>\n  <tr>\n  <td>Das Publikationsdatum im Spezialformat</td>\n  <td><!-- VALUE: pub_date; format=B; --></td>\n  </tr>\n  <td>Das Verfallsdatum</td>\n  <td><!-- VALUE: exp_date; --></td>\n  </tr>\n  <tr>\n  <td>Das Verfallsdatum als Unix-Timestamp</td>\n  <td><!-- VALUE: exp_date; timestamp; --></td>\n  </tr>\n  <tr>\n  <td>Das Verfallsdatum im Spezialformat</td>\n  <td><!-- VALUE: exp_date; format=B; --></td>\n  </tr>\n  <tr>\n  <td>Die Artikel-ID</td>\n  <td><!-- VALUE: articlenr --></td>\n  </tr>\n  <tr>\n  <td>Die Artikeltemplate-ID</td>\n  <td><!-- VALUE: template; --></td>\n  </tr>\n  <tr>\n  <td>Der Artikel-Index</td>\n  <td><!-- VALUE: articleidx --></td>\n  </tr>\n  </table>\n ', '".date('Y-m-d H:i:s')."', '".addslashes($_POST['Admin_login'])."')");

    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (1, 1, 2, 0x417274696b656c2d54657874, 5, 'a:1:{s:5:\"label\";s:85:\"Bitte geben Sie hier einen Artikel-Text ein. Benutzen Sie dazu den ''Bearbeiten''-Link!\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (2, 1, 2, 0x546561736572, 2, 'a:1:{s:5:\"label\";s:79:\"Bitte geben Sie hier einen Teaser ein. Benutzen Sie dazu den ''Bearbeiten''-Link!\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (3, 1, 3, 0x42696c64, 4, 'a:1:{s:5:\"label\";s:35:\"Bitte whlen Sie hier ein Bild aus!\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (4, 1, 4, 0x556e746572746974656c, 1, 'a:2:{s:5:\"label\";s:41:\"Bitte geben Sie hier einen Untertitel an!\";s:5:\"short\";s:1:\"1\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (5, 1, 5, 0x4c696e6b, 6, 'a:2:{s:5:\"label\";s:35:\"Bitte geben Sie hier einen Link an!\";s:8:\"linktype\";s:1:\"0\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (6, 1, 5, 0x5765697465722d4c696e6b, 3, 'a:2:{s:5:\"label\";s:63:\"Bitte geben Sie hier einen Verweistext fr den Weiter-Link ein!\";s:8:\"linktype\";s:1:\"1\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (7, 1, 5, 0x5a7572fc636b2d4c696e6b, 7, 'a:2:{s:5:\"label\";s:63:\"Bitte geben Sie hier einen Verweistext fr den Zurck-Link ein!\";s:8:\"linktype\";s:1:\"2\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (8, 2, 1, 0x4461746569, 3, 'a:1:{s:5:\"label\";s:32:\"Bitte whlen Sie eine Datei aus!\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (9, 2, 2, 0x48544d4c2d54657874, 6, 'a:1:{s:5:\"label\";s:82:\"Bitte geben Sie hier einen HTML-Text ein. Benutzen Sie dazu den ''Bearbeiten''-Link!\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (10, 2, 3, 0x42696c64, 2, 'a:1:{s:5:\"label\";s:35:\"Bitte whlen Sie hier ein Bild aus!\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (11, 2, 4, 0x45696e6661636865722d54657874, 1, 'a:1:{s:5:\"label\";s:47:\"Bitte geben Sie hier einen  einfachen Text ein!\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (12, 2, 5, 0x4c696e6b, 4, 'a:2:{s:5:\"label\";s:35:\"Bitte geben Sie hier einen Link an!\";s:8:\"linktype\";s:1:\"0\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (13, 2, 5, 0x5765697465722d4c696e6b, 5, 'a:2:{s:5:\"label\";s:63:\"Bitte geben Sie hier einen Verweistext fr den Weiter-Link ein!\";s:8:\"linktype\";s:1:\"1\";}');");
    $db->query("INSERT INTO ".$dbPrefix."_placeholders VALUES (14, 2, 5, 0x5a7572fc636b2d4c696e6b, 7, 'a:2:{s:5:\"label\";s:63:\"Bitte geben Sie hier einen Verweistext fr den Zurck-Link ein.\";s:8:\"linktype\";s:1:\"2\";}');");
}

$db->query("INSERT INTO ".$dbPrefix."_tpl_assignment VALUES (1, 1, 1, '0000-00-00 00:00:00', '');");
$db->query("INSERT INTO ".$dbPrefix."_tpl_assignment VALUES (2, 1, 2, '0000-00-00 00:00:00', '');");

$db->query("INSERT INTO ".$dbPrefix."_snippet VALUES (1, 'Powered by ".addslashes($CPO['product'])."', -1, 1, 'Powered by <a href=\"".addslashes($CPO['productlink'])."\" target=\"_blank\">".addslashes($CPO['product'])."</a> ', '".date('Y-m-d H:i:s')."', '0000-00-00 00:00:00', '');");
$db->query("INSERT INTO ".$dbPrefix."_log VALUES (1, 'SETUP', '".date('Y-m-d H:i:s')."', '', '')");

$notimeout = true;
include(CPO_BASEDIR.'_include/header.php');
?>
<script type="text/javascript">
    parent.cpo_navigation.location.href = "../_admin/frame_navigation.php?s=3&l=<?php echo urlencode($_POST['language']); ?>";
</script>
<?php
printPageHeader(
    ___('Step 3/3 - Finish'),
    sprintf(___('This is the last step during the %s installation - and you are already finished.'), _htmlspecialchars($CPO['product'])),
    'setup-setupcall.html#setup-step3',
    false, '', $_POST['language']
);

printf('<p>'.___('The setup just created all necessary database tables and initial values. You can now %s using the administrative account %s with the data you entered in step two.').'</p>',
    '<a href="../_admin/" target="_blank">'.___('log in').'</a>',
    '<em>'.addslashes($_POST['Admin_login']).'</em>'
);

printf('<p>'.sprintf(___('Or just have a look at the output of the default rubric %s that is distributed with %s.'),
    '<a href="../_rubric/" target="_blank">'.___('Home').'</a>',
    _htmlspecialchars($CPO['product'])).'</p>'
);

/* FIXME
printf('<p>'.___('You might also want to have a look at the %s.').'</p>', 
    '<a href="#">'.sprintf(___('%s manual'), _htmlspecialchars($CPO['product'])).'</a>'
);
*/

echo '<br /><br />';
include(CPO_BASEDIR.'_include/footer.php');
?>
